Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname zyn

Summary:	LV2 port of the ZynAddSubFX engine
Name:		lv2-zynadd-plugins
Version:	1
Release:	alt2_33
# lv2-midi*.h is LGPLv2+
# but the rest is GPLv2. The whole plugin will be then:
License:	GPL-2.0-only
URL:		http://home.gna.org/zyn/
Source:		http://download.gna.org/%{pkgname}/%{pkgname}-%{version}.tar.bz2

BuildRequires:	libfftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	lv2-devel
BuildRequires:	lv2dynparam-devel
Requires:	lv2
Provides:	%{pkgname} = %{version}-%{release}
Source44: import.info

%description
The zyn project main goal is to extract synth engines from ZynAddSubFX and pack
them in LV2 plugin format. Resulting plugins are heavily based on work made by
Nasca Octavian Paul. If you like the amazing sounds these plugins generate you
should thank Paul for this.

%prep
%setup -q -n %{pkgname}-%{version}

# Don't hide anything
sed -i 's|\t@|\t|' GNUmakefile

# lv2core seemingly permanently renamed to lv2 at version 1.16
sed -i s/lv2core/lv2/g GNUmakefile
find . -type f -name '*.c' | xargs sed -i "s/lv2dynparam\//lv2dynparam1\/lv2dynparam\//g"

%build
%make_build \
	CFLAGS="%{optflags} -fPIC -DPIC \
	$(pkg-config --cflags fftw3 lv2core lv2dynparamplugin1)" \
	CXXFLAGS="%{optflags}" \
	LDFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_libdir}/lv2
make LV2_INSTALL_PATH=%{buildroot}%{_libdir}/lv2 install

%files
%doc AUTHORS README
%doc --no-dereference gpl.txt
%{_libdir}/lv2/zynadd.lv2/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1-alt2_33
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1-alt2_31
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1-alt2_29
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1-alt2_28
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1-alt2_27
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1-alt2_26
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1-alt2_25
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1-alt2_24
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1-alt1_24
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1-alt1_23
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1-alt1_22
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1-alt1_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_19
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_18
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1-alt1_14
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1-alt1_13
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1-alt1_11
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1-alt1_9
- update to new release by fcimport

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 1-alt1_8
- fc import

